Cant update to Unreal 5.4, Epic Games Launcher causing problems

I’m trying to update from Unreal 5.2 to 5.4.

I’m being prompted to use the latest Epic Games Launcher to complete the Unreal update but when I try and run the Epic Installer I get the following:

‘The Epic Games Launcher is currently running. Please close it before continuing’

The thing is that Epic Game Launcher is not running. I tried to uninstall the current EGL but I’m getting the same warning.

Now I’m stuck. I cant use Metahumans, Unreal or the Epic Launcher.

Can anyone help me sort this mess out?

Just seen another instance open much further down in the task manager.

Not what I would call a streamlined uninstall process though…